#include<iostream>
using namespace std;
int main()
{
    int V,i=0,b;
    cin>>V;
    while(V>0){
    b=V%10;
    if(b=1 || b=2 || b=5)
    {
        i++;
    }
    else
    if(b=3 || b=4 || b=6 || b=7){
        i=i+2;
    }
    else
    if(b=8 || b=9){
        i=i+3;
    }
    V=V/10;
    }
    cout<<i;
    return 0;
}